View Issue Details

IDProjectCategoryView StatusLast Update
0027997CommunityOCCT:Modeling Algorithmspublic2021-08-29 18:52
ReporterMarkus Assigned Tomsv  
PrioritynormalSeverityminor 
Status newResolutionopen 
Product Version7.0.0 
Target Version7.7.0 
Summary0027997: Boolean section of two solids results in a broken section
DescriptionIn OCCT 6.9.1, when the appended two solids are intersected using the bopsection command, the resulting edges do not form a closed contour. Probably, that is the reason why the common operation fails.
checkshape, bopcheck and bopargcheck say that the solids are OK.

In OCCT 6.9.1, the result of the intersection was better.
Steps To Reproducepload ALL

restore b.brep b

whatis b

explode b

whatis b_1

whatis b_2

checkshape b_1

checkshape b_2

tolerance b_1

tolerance b_2

brunparallel 1

bopcheck b_1

bopcheck b_2

bopargcheck b_1 b_2 -O #F

bop b_1 b_2

bopcommon r

whatis r

explode r

bopsection s

whatis s

explode s

vinit

vdisplay s

vfit

vdisplay b_1

tolerance s

tolerance b_1

tolerance b_2

TagsNo tags attached.
Test case numberbugs modalg_7 bug27997

Attached Files

  • b.brep (565,046 bytes)
  • gap in intersection.png (4,455 bytes)
  • closed intersection in OCC6.9.1.png (2,944 bytes)
  • bug27997 (753 bytes)

Activities

Timo

2016-10-24 11:27

developer  

b.brep (565,046 bytes)

Timo

2016-10-24 11:27

developer  

gap in intersection.png (4,455 bytes)

Timo

2016-10-24 11:27

developer  

closed intersection in OCC6.9.1.png (2,944 bytes)

apv

2017-08-25 10:55

tester   ~0069867

Problem described in issue is reproduced on current state of OCCT.

apv

2017-09-29 12:32

tester  

bug27997 (753 bytes)

apv

2017-09-29 12:32

tester   ~0070973

Test scenario has been added

Issue History

Date Modified Username Field Change
2016-10-24 11:27 Timo New Issue
2016-10-24 11:27 Timo Assigned To => msv
2016-10-24 11:27 Timo File Added: b.brep
2016-10-24 11:27 Timo File Added: gap in intersection.png
2016-10-24 11:27 Timo File Added: closed intersection in OCC6.9.1.png
2016-10-28 12:16 msv Target Version 7.1.0 => 7.2.0
2017-05-31 15:39 Timo Reporter Timo => Markus
2017-07-21 11:04 msv Target Version 7.2.0 => 7.3.0
2017-08-25 10:55 apv Test case number => bugs modalg_7 bug27997
2017-08-25 10:55 apv Note Added: 0069867
2017-09-29 12:32 apv File Added: bug27997
2017-09-29 12:32 apv Note Added: 0070973
2017-12-05 16:59 msv Target Version 7.3.0 => 7.4.0
2019-08-12 16:43 msv Target Version 7.4.0 => 7.5.0
2020-09-14 22:56 msv Target Version 7.5.0 => 7.6.0
2021-08-29 18:52 msv Target Version 7.6.0 => 7.7.0